import sys
import os

#check for ROOT_PATH variable
try:
  sys.path.append(os.environ['ROOT_PATH'])
except:
  print("Please set the variable ROOT_PATH.")
  sys.exit(0)

#os.environ["GENICAM_GENTL64_PATH"] = ":/opt/pylon/lib/gentlproducer/gtl:/opt/ssd/install_vimba/VimbaGigETL/CTI/arm_64bit:/opt/ssd/install_vimba/VimbaUSBTL/CTI/arm_64bit"

#REBOTNIX Camera SDK
import libs.rb_camera_alliedvision as rb_c

#get a vailable cameras
available_cameras = rb_c.listCameras()
print(available_cameras)
rb_cam = rb_c.rb_camera(available_cameras[0]["serial"], usbreset=False)

while True:
  # read current frame
  flag, frame_read = rb_cam.getFlagAndFrame()
  if flag:
    print(frame_read.shape)

rb_cam.stop()
